Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 May 2010 00:05:56 +0300

> From: Stephen Berman <[email-masked]>
> Date: Fri, 14 May 2010 19:11:30 +0200
> 
> => This puts point at line 902 (at least here, with window-height 33),
> which is at the bottom of the window as it should be -- but only for a
> fraction of a second, and then point is recentered so that line 902 is
> now in the middle of the window.

I cannot reproduce this on MS-Windows.  In my case, M-v from the end
of the buffer puts point on line 902, but it is the second line from
the bottom of the window, not the first.  And even if I then type C-n,
point stays on the last line.  I see no recentering at all.

Anyway, from what you say it sounds like the message displayed by
eldoc-mode in the echo area, which causes redisplay, somehow makes
Emacs think the window where you have the Lisp file needs to be
recentered because point is in a line that is not visible enough.

Do you see the same problem in Emacs 23.2?